Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.client
Class SandeshaReport

    java.lang.Object
      org.apache.sandesha2.client.SandeshaReport

public class SandeshaReport
extends java.lang.Object

This gives a report explaining the current state of the Sandesha2 system.

Constructor Summary
`SandeshaReport()`

Method Summary
`void` | `addToIncomingSequenceList(java.lang.String incomingSequenceID)`
`void` | `addToNoOfCompletedMessagesMap(java.lang.String id, long noOfMsgs)`
`void` | `addToOutgoingInternalSequenceMap(java.lang.String outSequenceID, java.lang.String internalSequenceID)`
`void` | `addToOutgoingSequenceList(java.lang.String outSequenceID)`
`void` | `addToSequenceStatusMap(java.lang.String id, byte status)`
`long` | `getCompletedMessagesCount(java.lang.String sequenceID)`
`java.util.List` | `getIncomingSequenceList()` Gives all Incoming Sequences.
`java.lang.String` | `getInternalSequenceIdOfOutSequence(java.lang.String outSequenceID)`
`java.util.List` | `getOutgoingSequenceList()` Gives all Outgoing Sequences.
`byte` | `getSequenceStatusMap(java.lang.String sequenceID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SandeshaReport

    public SandeshaReport()

Method Detail

### getCompletedMessagesCount

    public long getCompletedMessagesCount(java.lang.String sequenceID)

### getIncomingSequenceList

    public java.util.List getIncomingSequenceList()

  Gives all Incoming Sequences. Incoming Sequences are the Sequences to which this Endpoint works as a RMD.

  Returns:
    A list of Strings. Each giving the SequenceID of an Incoming Sequence.

### getOutgoingSequenceList

    public java.util.List getOutgoingSequenceList()

  Gives all Outgoing Sequences. Outgoing Sequences are the Sequences to which this Endpoint works as a RMS.

  Returns:
    A list of Strings. Each giving the SequenceID of an Outgoing Sequence.

### getSequenceStatusMap

    public byte getSequenceStatusMap(java.lang.String sequenceID)

### addToIncomingSequenceList

    public void addToIncomingSequenceList(java.lang.String incomingSequenceID)

### addToOutgoingSequenceList

    public void addToOutgoingSequenceList(java.lang.String outSequenceID)

### addToNoOfCompletedMessagesMap

    public void addToNoOfCompletedMessagesMap(java.lang.String id,
                                              long noOfMsgs)

### addToSequenceStatusMap

    public void addToSequenceStatusMap(java.lang.String id,
                                       byte status)

### getInternalSequenceIdOfOutSequence

    public java.lang.String getInternalSequenceIdOfOutSequence(java.lang.String outSequenceID)

### addToOutgoingInternalSequenceMap

    public void addToOutgoingInternalSequenceMap(java.lang.String outSequenceID,
                                                 java.lang.String internalSequenceID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.